Skip to content
GAMPEONCreate
New project

Leave, or kick a member

DELETE
/v1/communities/{id}/members/{handle}
curl --request DELETE \
--url https://api.gampeon.com/v1/communities/1/members/example \
--header 'Authorization: Bearer <token>'

Your own handle: leave. Another handle: kick (needs kickMembers and a highest role above theirs). Kicked people can join again. Optional JSON body {reason} for the notification.

Not available with access tokens.

id
required
integer
>= 1

Community ID

handle
required
string
/^[a-z0-9_]{3,24}$/

Handle of the member

Removed

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, missing_permission, role_hierarchy, forbidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback